Subject: Re: linux-next: build failure after merge of the pci tree

From: Lorenzo Pieralisi <[email-masked]>
Date: Mon, 11 Oct 2021 12:22:55 +0100

On Mon, Oct 11, 2021 at 11:07:37AM +0530, Manivannan Sadhasivam wrote:
> Hi Stephen,
> 
> On Mon, Oct 11, 2021 at 10:12:50AM +1100, Stephen Rothwell wrote:
> > Hi all,
> > 
> > After merging the pci tree, today's linux-next build (x86_64 allmodconfig)
> > failed like this:
> > 
> > ERROR: modpost: "dw_pcie_ep_reset_bar" [drivers/pci/controller/dwc/pcie-qcom-ep.ko] undefined!
> > ERROR: modpost: "dw_pcie_ep_raise_msi_irq" [drivers/pci/controller/dwc/pcie-qcom-ep.ko] undefined!
> > ERROR: modpost: "dw_pcie_ep_raise_legacy_irq" [drivers/pci/controller/dwc/pcie-qcom-ep.ko] undefined!
> > 
> > Caused by commit
> > 
> >   3872e6f0544f ("PCI: qcom-ep: Add Qualcomm PCIe Endpoint controller driver")
> > 
> > I have used the pci tree from next-20211008 fot today.
> > 
> 
> I have submitted a patch for fixing this issue:
> 
> https://patchwork.kernel.org/project/linux-pci/patch/[email-masked]/

I have squashed it in the original commit it is fixing.

Thanks,
Lorenzo